=== debian/control ===
Source: ros-rolling-quaternion-operation
Section: misc
Priority: optional
Maintainer: Masaya Kataoka <ms.kataoka@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-rolling-ament-cmake, ros-rolling-ament-cmake-auto, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-geometry-msgs, ros-rolling-ouxt-lint-common <!nocheck>, ros-rolling-rclcpp, ros-rolling-tf2-ros, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-quaternion-operation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-rolling-ament-cmake-auto, ros-rolling-geometry-msgs, ros-rolling-rclcpp, ros-rolling-tf2-ros, ros-rolling-ros-workspace
Description: The quaternion_operation package
